Bug 438980 - smoltGui fails when run as normal user
Summary: smoltGui fails when run as normal user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt
Version: 10
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-26 11:58 UTC by Àlex Magaz Graça
Modified: 2009-01-15 11:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:44:33 UTC


Attachments (Terms of Use)

Description Àlex Magaz Graça 2008-03-26 11:58:23 UTC
Description of problem:
smoltGui fails when run as normal user because it tries to write to
/etc/sysconfig/hw-uuid. I get this output on the console:

Unable to save UUID, continuing...
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 261, in <module>
    app = SmoltGui(sys.argv)
  File "/usr/bin/smoltGui", line 72, in __init__
    self.profile = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 347, in __init__
    self.devices[udi] = Device(props)
  File "/usr/share/smolt/client/smolt.py", line 134, in __init__
    self.UUID = getUUID()
  File "/usr/share/smolt/client/smolt.py", line 1001, in getUUID
    sys.err.write(_('Your UUID file could not be created: %s\n' % e))
AttributeError: 'module' object has no attribute 'err'

It works after running it as root.

Version-Release number of selected component (if applicable):

smolt-1.1.1.1-1.fc8

How reproducible:

Always if /etc/sysconfig/hw-uuid doesn't exists.

Steps to Reproduce:
1. run as root: rm /etc/sysconfig/hw-uuid
2. as normal user: smoltGui
  
Actual results:

It fails.

Expected results:

It should work without having to run it as root before.

Additional info:

Comment 1 Jeffrey C. Ollie 2008-03-26 13:38:21 UTC
Should be fixed in upstream commit fc4ce9600b81d8af6fdd31a7b330732e063c3446 will
be in the next release.

Comment 2 Àlex Magaz Graça 2008-03-27 07:35:54 UTC
It fixes the crash, but what about of having to run it as root before it works
as a normal user? Should I open another bug report for this?

Comment 3 Bug Zapper 2008-11-26 10:16:20 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 07:44:33 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Àlex Magaz Graça 2009-01-15 11:08:24 UTC
It's still happening in Fedora 10:

Unable to save UUID, continuing...
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 261, in <module>
    app = SmoltGui(sys.argv)
  File "/usr/bin/smoltGui", line 72, in __init__
    self.profile = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 359, in __init__
    self.devices[udi] = Device(props)
  File "/usr/share/smolt/client/smolt.py", line 134, in __init__
    self.UUID = getUUID()
  File "/usr/share/smolt/client/smolt.py", line 1015, in getUUID
    sys.err.write(_('Your UUID file could not be created: %s\n' % e))
AttributeError: 'module' object has no attribute 'err'


Note You need to log in before you can comment on or make changes to this bug.